<?php
class Article {
    private $client;

    // Factory constructors
    public static function makeNewClient() : Article {
        $host = getenv("MYSQL_HOST");
        $db   = getenv("MYSQL_DB");
        $user = getenv("MYSQL_USER");
        $pass = getenv("MYSQL_PASS");
        return new Article($host, $db, $user, $pass);
    }

    public static function makeNewClientWithSpecs(String $host,
            String $db, String $user, String $pass) : Article {
        return new Article($host, $db, $user, $pass);
    }

    private function __construct(String $host, String $db, String $user, String $pass){
        $this->client = mysqli_connect($host, $user, $pass, $db);
    }

    public function getAllPosts() {
        $result = mysqli_query($this->client, 'SELECT * FROM post ORDER BY created DESC');
        return mysqli_fetch_all($result);
    }

    public function getMostRecentPosts($limit){
        $result = mysqli_query($this->client, 'SELECT * FROM post ORDER BY created DESC LIMIT ' . $limit);
        return mysqli_fetch_all($result);
    }

    public function getPostData($postId) {
        $result = mysqli_query($this->client, 'SELECT * FROM post WHERE ID = ' . $postId);
        return mysqli_fetch_all($result)[0];
    }

}
?>
