<!DOCTYPE html>
<html lang="en">
<head>
    <?php include 'common/include.php' ?>
    <?php include 'common/git.php' ?>
    <?php include 'common/article.php' ?>

    <title>Tyler Perkins - Home</title>
    <link rel="stylesheet" href="index.css">
</head>
<body>
    <?php include 'common/header.php' ?>

    <div class="centered top-fade dashed-bottom">
        <!--<a class="clickable-div" href="about.php"> -->
            <div class="index-item single-column tagline-link">
                <h1>Hi, I'm Tyler</h1>
                <p>I'm a software developer and tinkerer</p>
                <?php
                    $remote_addr = $_SERVER['REMOTE_ADDR'];
                    $forwarded_addr = $_SERVER['REMOTE_ADDR'];

                    $home_addr = gethostbyname("gluttony.clortox.com");
                    if($remote_addr == $home_addr)
                        echo "<p>Hello from within the home network!</p>"
                ?>
            </div>
        <!--</a>-->
    </div>
    <div class="centered">
        <div class="index-item soft-background articles-box">
            <div class="index-column">
                <h3>Projects</h3>
                <div>
                <?php
                    $giteaClient = new Gitea(getenv("GITEA_TOKEN"));
                    $result = $giteaClient->getRecentProjects();
                    array_splice($result, 6, -1);
                    foreach($result as $item){
                        if($item["private"])
                            continue;

                        $name = $item["name"];
                        $url = $item["html_url"];
                        $lang = $item["language"];
                        $description = $item["description"];

                        //build out the html
                        echo '<a class="list-clickable-div" href="' . $url . '">';
                        echo '<p>' . $name . ' - ' . $description . '</p>';
                        echo '</a>';
                    }
                ?>
                </div>
            </div>
            <div class="index-column">
                <h3>Articles</h3>
                <div>
                <?php
                    $articleClient = Article::makeNewClient();
                    $posts = $articleClient->getMostRecentPosts(5);

                    foreach($posts as $post){
                        if($post == null)
                            continue;

                        $id     = $post[0];
                        $author = $post[1];
                        $title  = $post[3];

                        echo '<a class="list-clickable-div" href="/posts/?id=' . $id . '">';
                        echo '<p>(' . $author . ') ' . $title . '</p>';
                        echo '</a>';
                    }
                ?>
                </div>
            </div>
        </div>
    </div>


    <?php include 'common/footer.php' ?>
</body>


</html>
