<!DOCTYPE html>
<html>
<head>
    <?php include '../common/include.php' ?>
    <title>Tyler Perkins - QRCode</title>
    <link rel="stylesheet" href="./qrcode.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/lrsjng.jquery-qrcode/0.18.0/jquery-qrcode.min.js" integrity="sha512-P9oNnyfvOZrY1H0D5js+UcLZr+vLkX50glCUlpJAd/RL84+KBtGI4yvH5YVM5TejD+jbURwQq3C/7hgYWOo8bQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="qrcode.js"></script>
</head>
<body>
    <?php include '../common/header.php' ?>

    <div class="qrcode-title">
        <h1>QRCode Generator</h1>
        <noscript style="color:red;">This requires javascript</noscript>
    </div>

    <div class="qrcode-body">
        <div class="title-block">
            <h3 style="display:inline; vertical-align: center;">String to encode</h3>
            <input type="text" id="input" placeholder="https://www.clortox.com">
        </div>

        <div class="results-block">
            <div class="result-code-wrapper">
                <div id="qrcode-result"></div>
            </div>
            <div>
                <div class="inline-option">
                    <p>Size</p>
                    <input type="number" id="input_size" value="256" placeholder="256">
                </div>
                <div class="inline-option">
                    <p>Radius</p>
                    <input type="number" id="input_radius" value="0.1" placeholder="0.1" min="0" max="1" step="0.05">
                </div>
                <div class="inline-option">
                    <p>Padding</p>
                    <input type="number" id="input_padding" value="0" placeholder="0" pattern="\d*">
                </div>
                <div class="inline-option">
                    <p>Error Correction Level</p>
                    <select name="Correction" id="input_correction">
                        <option value="L">Low</option>
                        <option value="M">Medium</option>
                        <option value="Q">Quality</option>
                        <option value="H">High</option>
                    </select>
                </div>

            </div>

        </div>
    </div>


    <?php include '../common/footer.php' ?>
</body>


</html>
